JPEGHOTP(1)

NAME
jpeghotp - findet leuchtende oder ausgefallene Pixel in sonst schwarzen oder weißen JPEG-Bildern

SYNTAX
jpeghotp [OPTION]... JPEG-DATEI [PIXELBLOCK-DATEI]

BESCHREIBUNG
Jpeghotp findet leuchtende Pixel in einem sonst schwarzen JPEG-Bild (Standard) oder ausgefallene Pixel in einem sonst weißen JPEG­Bild (wenn die Option --invert angegeben wurde). Die Ausgabe ist als Pixelblock-Datei für das Programm jpegpixi(1) geeignet. Eine typische Anwendung ist die Verarbeitung eines Bildes, das mit einer Digitalkamera mit CCD-Defekten aufgenommen wurde.

Um ein schwarzes Bild zu erhalten, macht man eine Aufnahme bei völliger Dunkelheit oder mit abgedeckter Linse. Um ein weißes Bild zu erhalten, macht man eine überbelichtete Aufnahme eines gut beleuchteten Blattes weißen Papiers.

JPEG-DATEI ist der Dateiname des zu lesenden JPEG-Bildes. Es kann - angegeben werden, was für Standardeingabe steht.

PIXELBLOCK-DATEI ist der Name der Datei, in die die Koordinaten und Größen der leuchtenden (oder ausgefallenen) Pixel geschrieben werden. Wenn diese Angabe weggelassen wird, werden die Koordinaten und Größen auf die Standardausgabe ausgegeben.

OPTIONEN

-t SCHWELLWERT, --threshold=SCHWELLWERT
    Angabe des Schwellwertes zwischen Rauschen und Signal: Pixelhelligkeiten unterhalb des Schwellwertes werden als CCD-Rauschen angesehen, Helligkeiten darüber als leuchtende Pixel. SCHWELLWERT muß eine Zahl zwischen 0 und 100 gefolgt von einem Prozentzeichen (%) sein. Der Standardwert ist 10%.

-i, --invert
    Bild invertieren. Wenn diese Option angegeben wurde, werden ausgefallene Pixel in einem sonst weißen Bild statt leuchtender Pixel in einem sonst schwarzen Bild gefunden.

-c, --comments
    Die Helligkeiten der leuchtenden (oder ausgefallenen) Pixel werden als Kommentare mit ausgegeben. Dies ist hilfreich, wenn von Hand Feineinstellungen an der Pixelblock-Datei vorgenommen werden sollen.

--help
    Zeigt einen kurzen Hilfe-Text an und beendet das Programm danach sofort.

--version
    Zeigt die Programmversion an und beendet das Programm danach sofort.

FEHLER
Bitte melden Sie Programmfehler an <martin-jpegpixi@zero-based.org>.

COPYRIGHT
Copyright © 2003, 2004, 2005 Martin Dickopp

Jpeghotp ist Freie Software; es darf unter den Bedingungen der "GNU General Public License" Version 2 (oder wahlweise einer späteren Version dieser Lizenz) kopiert und/oder modifiziert werden. Soweit gesetzlich zulässig, ist jegliche Gewährleistung ausgeschlossen.

SIEHE AUCH
jpegpixi(1)

Die Jpegpixi-Homepage: http://www.zero-based.org/software/jpegpixi/